/* ScrutariLib_Lexie - Copyright (c) 2012-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.lexie;


/**
 *
 * @author Vincent Calame
 */
public class AlineaInteger {

    public final static int TITRE = 10;
    public final static int SOUSTITRE = 20;
    public final static short SPECIAL_CATEGORY = 0;
    public final static short PRIMARYATTRIBUTE_CATEGORY = 1;
    public final static short COMPLEMENT_CATEGORY = 2;
    public final static short SECONDARYATTRIBUTE_CATEGORY = 3;
    public final static int PRIMARY_ATTRIBUTEGROUP_START = 1001;
    public final static int SECONDARY_ATTRIBUTEGROUP_START = 3001;
    public final static int PRIMARYATTRIBUTE_START = 1000000;
    public final static int COMPLEMENT_START = 2000000;
    public final static int SECONDARYATTRIBUTE_START = 3000000;

    private AlineaInteger() {
    }

    public static short getAlineaCategory(int alineaInteger) {
        if (alineaInteger < PRIMARYATTRIBUTE_START) {
            return SPECIAL_CATEGORY;
        }
        if (alineaInteger < COMPLEMENT_START) {
            return PRIMARYATTRIBUTE_CATEGORY;
        }
        if (alineaInteger < SECONDARYATTRIBUTE_START) {
            return COMPLEMENT_CATEGORY;
        }
        return SECONDARYATTRIBUTE_CATEGORY;
    }

    public static short getAttributeCategory(int alineaRootCode) {
        if (alineaRootCode < SECONDARY_ATTRIBUTEGROUP_START) {
            return PRIMARYATTRIBUTE_CATEGORY;
        }
        return SECONDARYATTRIBUTE_CATEGORY;
    }

    public static boolean isAttributeAlineaInteger(int alineaInteger) {
        if (alineaInteger < PRIMARYATTRIBUTE_START) {
            return false;
        }
        if (alineaInteger < COMPLEMENT_START) {
            return true;
        }
        if (alineaInteger < SECONDARYATTRIBUTE_START) {
            return false;
        }
        return true;
    }

    public static int getComplementAlineaInteger(int complementNumber) {
        return COMPLEMENT_START + complementNumber;
    }

    public static int toComplementNumber(int alineaInteger) {
        return alineaInteger - COMPLEMENT_START;
    }

    public static int getValueAlineaInteger(int alineaRootCode, int valueIndex) {
        return alineaRootCode * 1000 + valueIndex + 1;
    }

    public static int toAlineaRootCode(int alineaInteger) {
        alineaInteger = alineaInteger - 1;
        return alineaInteger / 1000;
    }

}
