/* ScrutariLib_SearchEngine - Copyright (c) 2008-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.api.result;

import java.util.List;
import net.mapeadores.util.localisation.Lang;


/**
 *
 * @author Vincent Calame
 */
public interface MotcleSearchResultInfo {

    /**
     * Retourne le code du mot-clé.
     */
    public int getCode();

    public List<InLangOccurrences> getInLangOccurrencesList();

    /**
     * Retourne la liste des instances de InLangOccurrenceList indiquant la
     * présence de mots de la recherche dans le libellé de langue lang. Retourne
     * <em>null</em> si le libellé dans la langue donnée n'a pas participé à la
     * recherche. L'instance de InLangOccurrenceList retourné est donc soit nul,
     * soit de taille supérieur à 0.
     */
    public InLangOccurrences getInLangOccurrenceListByLang(Lang lang);

}
